Punktwolke vom Fang ausschlie├čen / Rund um AutoCAD
Osawa 20. Mai. 2020, 10:45


screenshot_68.png

 
Edit: Der Titel dieses Threads ist missverständlich, lässt sich aber leider nicht mehr ändern.
Richtig müsste es heißen:

Punktwolke von Auswahl ausschließen

Hallo zusammen,

ich arbeite gerade an einer Datei mit eingefügter Punktwolke und es gelingt mir nicht, die Fangoptionen so einzustellen, dass die Punktwolke diesbezüglich komplett ignoriert wird.

Das Problem ist, dass es nicht möglich ist, ein Auswahlfenster aufzuziehen, wenn der Cursor beim ersten Klick einen Punkt der Punktwolke findet. 3D Objektfang und sämtliche Punktwolkenfänge sind aus.
Kennt da wer eine Möglichkeit?

Vielen Dank schonmal und schönen Tag!

REl 20. Mai. 2020, 11:37

Hallo,

versuch es mal so.

Wenn du einen bestimmten Punkt fangen willst kannst du einen Punktfang erzwingen.

Strg. gedrückt halten und rechte Maus Taste drücken. Den O-Fang den du nutzen willst auswählen. Dann sollte nur noch der Fank aktiv sein.

--
Was mir auch schon aufgefallen ist, bei Einigen Befehlen hab ich das Gefühl das ein Befehlsabhängiger O-Fang existiert. Dann musst du wären du den Befehl ausführst den O-Fang anpassen damit es Funktioniert.
 

Osawa 20. Mai. 2020, 13:01

Hallo Rei, danke für Deine Antwort!

Wahrscheinlich habe ich das Problem nicht klar genug beschrieben... Und das Stichwort "Objektfang" triffts wahrscheinlich auch nicht so richtig. Ich versuchs nochmalá 

Wenn ich z.B. einen Schnitt über einer Punktwolke zeichne und dann ein Auswahlfenster aufziehen möchte, geht das nur, wenn AutoCAD an der aktuellen Cursorposition, also am ersten Punkt des Auswahlfensters keinen Punkt der Punktwolke findet. Dieser Automatismus ist bei normalen Zeichenobjekten ja auch absolut sinnvoll:

- Objekt unterm Cursor = Auswahl Objekt
- Kein Objekt unterm Cursor = start Auswahlfenster

D.h. wenn ich über einer Punktwolke zeichne findet AutoCAD IMMER ein Objekt, weil immer irgendein Punkt der Punktwolke gefunden wird und damit ist es nicht möglich ein Auswahlfenster aufzuziehen. AutoCAD will also immer die (gesperrte) Punktwolke auswählen anstatt ein Auswahlfenster aufzuziehen.

Und ich suche nun nach einer Möglichkeit, AutoCAD mitzuteilen, dass es die Punktwolke bei der Auswahl von Objekten bitte ignorieren möge.

Hoffe, das Problem verständlich beschrieben zu haben...

runkelruebe 20. Mai. 2020, 13:28

Moin,

kann nix testen, nur lesen:
3DOSMODE ist also ein ungerader Wert oder zumindest < 128?

Vielleicht hilft Dir die Verwendung vom dyn-BKS (UCSDETECT) und enthaltenem Bitwert 2 von OSOPTIONS

Wobei >> hier << jemand schreibt, dass es OHNE dynamisches BKS (besser? So wie von Dir gewünscht?) funktioniert.

Irgendwie doof, ohne CAD zum kurzen Gegentest  Ich schick's trotzdem ab, vielleicht nuzt es ja irgendwem.

Osawa 20. Mai. 2020, 13:51


CursorohnePWPunkt.png


CursoruberPW.png

 
Moin Rübe, dynamisches bks ist aus und 3DOMODE ist 1

Das Problem ist auch gar nicht der Objektfang, (da hatte ich eingangs die falsche Fährte gelegt) sondern dass die Punktwolke über der ich zeichne immer ausgewählt werden will, wenn ich eigentlich ein Auswahlfenster aufziehen möchte.

Die Punktwolke soll also nicht vom Objektfang ausgeschlossen werden (was sie bereits ist), sondern es soll verhindert werden, dass AutoCAD sie auswählen möchte, wenn ich eigentlich ein Auswahlfenster aufziehen will.
Auch wenn der Layer auf dem die Punktwolke liegt gesperrt ist, "findet" AutoCAD die Punktwolke (Schloss am Cursor) und verhindert so das Aufziehen eines Auswahlfensters.

Vielleicht gibt es ja unter den gefühlt zig tausenden Systemvariablen eine, die dafür sorgt, dass Objekte auf gesperrten Layern von der Auswahl ignoriert werden?!

REl 20. Mai. 2020, 14:13

Jetzt weis ich was du meinst.

KA hab ds noch nie gebraucht. ich würde es ggf mit Zaun machen.

einmal ins leere Klicken und dann einen zaun um die Objekte ziehen.

Eine Frage noch: Wieso hast du nicht die PWolke auf einen Layer und frierst ihn einfach? so würde ich das machen.

runkelruebe 20. Mai. 2020, 14:28

Naja, so'n bisserl OFang ist's ja schoná  wenngleich ein unerwünschter...

Objekte auf gesperrten Layern von der Auswahl ignorieren >> 2013 ging's noch nicht >> klick << vermutlich helfen Dir auch die dort vorgestellten workarounds nicht. (Layer 0 danach wieder einschalten nicht vergessen, der sorgt sonst ggfs. für seltsame Effekte)

>> hier << eine längere Diskussion im adsk-Forum. Englisch, vielleicht ist da was bei. Du bist nicht allein mit dem Wunsch, aber bislang wurde er wohl noch nicht erhört.


PS: Ich gehe davon aus, dass die Punktwolke für irgendwas gebraucht wird, denn ausschalten bzw. frieren ist einfach zu naheliegend, als dass man dafür einen thread erstellt 

Osawa 20. Mai. 2020, 14:45

Die PW liegt schon auf einem separaten Layer und der ist auch gesperrt. (Wenn er gefroren ist, seh ich sie ja nicht mehr...  ) Aber trotzdem wird sie von AutoCAD "gefunden" wenn auch nicht auswählbar...

REl 20. Mai. 2020, 15:40

ich arbeite auch mit PWs was willst du den genau machen?

Bitte ein Beispiel.

bbernd 20. Mai. 2020, 16:28

Hallo REI,

ich glaube, ich weiß worum es geht.
Er möchte, wie bei einem Scan, einfach nachzeichnen.
Bei einer Bildreferenz (z. B. alter Plan), kann man einfach reinzeichnen ohne das was gefangen wird.

Osawa 25. Mai. 2020, 12:19

Genau so! Nachzeichnen, ohne dass AutoCAD die Punktwolke auswählen möchte, wenn sich unterm Cursor ein Punkt der Punktwolke befindet. Weil dann das Aufziehen eines Auswahlfensters von der (versuchten) Auswahl der Punktwolke verhindert wird.

Osawa 25. Mai. 2020, 12:37

Moin Rübe,

dank Dir für die Tipps!
Leider haben weder die Auswahl mit (ssget "_:L") noch der Trick mit DEFPOINTS eine Änderung des Verhaltens ergeben. Ich nehme an, dass ich bis auf Weiteres ohne Auswahlfenster arbeiten muss. Nervig, aber nützt nüscht.

Und die Punktwolke wird zum Nachzeichnen gebraucht, wobei ich mir mit Schnittebenen unterschiedliche Bereiche des Gebäudes anzeigen lasse, für die dann jeweils ein Schnitt erzeugt wird. Immer wenn ich die PW nicht brauche, z.B. beim Schraffieren, wird der PW-Layer gefroren.

Osawa 25. Mai. 2020, 12:58


screenshot_71.png

 

Zitat:
Original erstellt von runkelruebe:

>> hier << eine längere Diskussion im adsk-Forum. Englisch, vielleicht ist da was bei. Du bist nicht allein mit dem Wunsch, aber bislang wurde er wohl noch nicht erhört.


Gelöst!
In obiger Diskussion hat sich der entscheidende Hinweis versteckt!

Lösung:á

Optionen -> Reiter Auswahl
Im Feld Auswahlmodi: Häkchen bei "Implizierte Fensterauswahl" und "Drücken und ziehen auf Objekt zulassen". KEIN Häkchen bei "Drücken und Ziehen für Lasso zulassen.

Voila! Auswahlfenster lässt sich aufziehen, auch wenn sich unterm Cursor ein PW-Punkt oder sonst ein Objekt befindet.

Jetzt muss man zwar den Mausbutton festhalten, wenn man ein Auswahlfenster aufziehen möchte, aber damit kann ich gut leben!

Wieder was gelernt! Tausend Dank!!


mcap 26. Mai. 2020, 12:50

Hallo

Das geht doch mit dem Befehl Wahl -> Fenster
Hilfe